import html2canvas from 'html2canvas';

export const exportImageInternal = (internalRef: React.RefObject<HTMLDivElement>) => {
  const captureImage = () => {
    const element = internalRef.current;
    if (element) {
      html2canvas(element, {
        backgroundColor: '#FFFFFF',
      })
        .then(canvas => {
          const finalImage = canvas.toDataURL('image/png');
          const link = document.createElement('a');
          link.href = finalImage;
          link.download = 'Vis1D.png';
          document.body.appendChild(link);
          link.click();
          document.body.removeChild(link);
        })
        .catch(error => {
          console.error('Error capturing image:', error);
        });
    } else {
      console.error('Container element not found');
    }
  };

  const renderCanvas = () => {
    requestAnimationFrame(() => {
      captureImage();
    });
  };

  renderCanvas();
};
